Contacts
List duplicates of a contact
Returns every contact in the same org that shares at least one external channel with the contact in the URL.
GET
/
orgs
/
contacts
/
{contact_id}
/
duplicates
List duplicates of a contact
curl --request GET \
--url https://api.useinvent.com/orgs/contacts/{contact_id}/duplicates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/contacts/{contact_id}/duplicates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/contacts/{contact_id}/duplicates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"type": "internal",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"fields": {},
"properties": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>",
"ai_replies_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
Contact ID
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Map of contact field key → value.
Show child attributes
Show child attributes
Deprecated: use fields. Same map, kept for compatibility.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List duplicates of a contact
